#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false); cin.tie(NULL);cout.tie(NULL);
    string n;
    cin>>n;
    int a[n.length()];
    bool p=true;
    for(int i=0;i<n.length();i++)
    {
        a[i]=n[i];
    }
    if(n.length()<=2) cout<<0;
    else
    {
        for(int i=1;i<n.length()-1)
    if(a[0]!=a[i])p=false;
    if(p) cout<<0;
    else
    {
    p=true;
    for(int i=1;i<n.length()-1)
    if(a[n-length()-1]!=a[i])p=false;
    if(p) cout<<0;
    else
    {
    if(n.length()<=3) if(a[0]==a[2]) if(a[0]==a[1]) cout<<0;else cout<<1; else cout<<0;
    else if(a[0]==a[n.length()-1]) cout<<1;
    else if(a[0]==a[2]&&a[0]!=a[1]&&a[0]==a[3]) cout<<1;
    else cout<<3;
    }
    }
    }
}